%define	major_ver	0.34
Summary:	GObject-based language compiler
Summary(pl.UTF-8):	Kompilator języka opartego na bibliotece GObject
Name:		vala
Version:	0.34.4
Release:	1
Epoch:		2
License:	LGPL v2+
Group:		Development/Languages
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vala/0.34/%{name}-%{version}.tar.xz
# Source0-md5:	a856989d749fc5e472a3592b96f9ca48
URL:		http://live.gnome.org/Vala
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.32.0
Conflicts:	gdk-pixbuf2 < 2.23.3-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vala is a new programming language that aims to bring modern
programming language features to GNOME developers without imposing any
additional runtime requirements and without using a different ABI
compared to applications and libraries written in C.

valac, the Vala compiler, is a self-hosting compiler that translates
Vala source code into C source and header files. It uses the GObject
type system to create classes and interfaces declared in the Vala
source code. It's also planned to generate GIDL files when
gobject-introspection is ready.

The syntax of Vala is similar to C#, modified to better fit the
GObject type system.

%description -l pl.UTF-8
Vala to nowy język programowania, którego celem jest udostępnienie
cech nowoczesnych języków programowania programistom GNOME bez
wymuszania dodatkowych wymagań co do środowiska uruchomieniowego i
używania API innego niż w aplikacjach i bibliotekach napisanych w C.

valac - kompilator języka Vala - to napisany w sobie samym kompilator
tłumaczący kod źródłowy w języku Vala na pliki źródłowe i nagłówkowe w
C. Używa systemu typów GObject do tworzenia klas i interfejsów
zadeklarowanych w kodzie źródłowym w języku Vala. Planowane jest także
generowanie plików GIDL, kiedy system gobject-introspection będzie
gotowy.

Składnia języka Vala jest podobna do C#, zmodyfikowana tak, aby lepiej
pasować do systemu typów GObject.

%package apidocs
Summary:	vala API documentation
Summary(pl.UTF-8):	Dokumentacja API vala
Group:		Documentation
Requires:	devhelp
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
vala API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API vala.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/vala/vapi

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README THANKS
%attr(755,root,root) %{_bindir}/vala
%attr(755,root,root) %{_bindir}/vala-%{major_ver}
%attr(755,root,root) %{_bindir}/vala-gen-introspect
%attr(755,root,root) %{_bindir}/vala-gen-introspect-%{major_ver}
%attr(755,root,root) %{_bindir}/valac
%attr(755,root,root) %{_bindir}/valac-%{major_ver}
%attr(755,root,root) %{_bindir}/vapicheck
%attr(755,root,root) %{_bindir}/vapicheck-%{major_ver}
%attr(755,root,root) %{_bindir}/vapigen
%attr(755,root,root) %{_bindir}/vapigen-%{major_ver}
%attr(755,root,root) %{_libdir}/libvala-%{major_ver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvala-%{major_ver}.so.0
%attr(755,root,root) %{_libdir}/libvala-%{major_ver}.so
%{_includedir}/vala-%{major_ver}
%{_pkgconfigdir}/libvala-%{major_ver}.pc
%{_pkgconfigdir}/vapigen-%{major_ver}.pc
%{_pkgconfigdir}/vapigen.pc
%dir %{_datadir}/vala
%{_datadir}/vala/Makefile.vapigen
%dir %{_datadir}/vala/vapi
%dir %{_datadir}/vala-%{major_ver}
%dir %{_datadir}/vala-%{major_ver}/vapi
%{_datadir}/vala-%{major_ver}/vapi/*.vapi
%{_datadir}/vala-%{major_ver}/vapi/*.deps
%dir %{_libdir}/vala-%{major_ver}
%attr(755,root,root) %{_libdir}/vala-%{major_ver}/gen-introspect-%{major_ver}
%{_mandir}/man1/vala-gen-introspect.1*
%{_mandir}/man1/vala-gen-introspect-%{major_ver}.1*
%{_mandir}/man1/valac.1*
%{_mandir}/man1/valac-%{major_ver}.1*
%{_mandir}/man1/vapigen.1*
%{_mandir}/man1/vapigen-%{major_ver}.1*
%{_aclocaldir}/vala.m4
%{_aclocaldir}/vapigen.m4

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/vala-%{major_ver}
%changelog
* Mon Dec 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vala.git;a=log;h=master

* Mon Dec 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 8bc3ed4
- Update to 0.34.4

* Tue Nov 22 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 4e76a59
- Update to 0.34.3

* Mon Oct 24 2016 Marcin Banasiak <marcin.banasiak@gmail.com> be7956e
- Update to 0.34.2

* Fri Sep 23 2016 Jakub Bogusz <qboosh@pld-linux.org> e675a7a
- updated libtool,pkgconfig versions

* Wed Sep 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 27a73cb
- Update to 0.34.0

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 6a1074c
- updated to 0.32.1

* Sun Apr 10 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 261a368
- Update to 0.32.0

* Mon Feb 01 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d2d9ac4
- Update to 0.30.1

* Sat Sep 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> 3df07a1
- updated to 0.30.0

* Sat Aug 22 2015 Łukasz Kieś <kiesiu@pld-linux.org> 113c79b
- updated to 0.28.1

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> e826d45
- noarch apidocs

* Mon Mar 23 2015 Marcin Banasiak <marcin.banasiak@gmail.com> e5c6875
- Update to 0.28.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5330038
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 15 2015 Jakub Bogusz <qboosh@pld-linux.org> b892665
- updated to 0.26.2

* Sat Oct 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 4f09b0b
- updated to 0.26.1

* Tue Oct 07 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 7ec7f17
- Update to 0.26.0

* Sun Mar 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 44c75fb
- added atk-update patch (update atk vapi for atk 2.12)
- release 2

* Mon Mar 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> c745517
- updated to 0.24

* Fri Nov 15 2013 Jakub Bogusz <qboosh@pld-linux.org> a11d0d3
- updated to 0.22.1

* Thu Sep 26 2013 Jakub Bogusz <qboosh@pld-linux.org> fdf1526
- updated to 0.22.0

